﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Resources;
using System.Text;
using System.Threading.Tasks;

namespace pcif
{
    internal class Message
    {
        /// <summary>
        /// OSの現在のカルチャ
        /// </summary>
        private static CultureInfo culture = CultureInfo.CurrentCulture;

        /// <summary>
        /// リソースマネージャー
        /// </summary>
        private static ResourceManager resourceManager = new ResourceManager("pcif.Properties.Resources", typeof(Form1).Assembly);

        /// <summary>
        /// リソースから文字列を取得
        /// </summary>
        /// <param name="name">名前</param>
        /// <returns>値</returns>
        public static string GetMessage(string name)
        {
            // リソースを使用
            return resourceManager.GetString(name, culture);
        }
    }
}
